<mamecheat version="1">

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@0018=0A</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.md@5180</action>
      <action>temp1 =maincpu.md@5391</action>
      <action>temp2 =maincpu.md@629A</action>
      <action>temp3 =maincpu.md@64AE</action>
      <action>temp4 =maincpu.mw@66AB</action>
      <action>temp5 =maincpu.md@5FED</action>
    </script>
    <script state="run">
      <action>maincpu.md@5180=0051764C|(maincpu.md@5180 BAND ~00FFFFFF)</action>
      <action>maincpu.md@5391=0053854C|(maincpu.md@5391 BAND ~00FFFFFF)</action> <!-- 1st = Fire, 2nd = Enemy -->
      <action>maincpu.md@629A=0062904C|(maincpu.md@629A BAND ~00FFFFFF)</action> <!-- Boss 1 -->
      <action>maincpu.md@64AE=00647A4C|(maincpu.md@64AE BAND ~00FFFFFF)</action> <!-- Boss 2 -->
      <action>maincpu.mw@66AB=05D0</action> <!-- Boss 3 -->
      <action>maincpu.md@5FED=005FCA4C|(maincpu.md@5FED BAND ~00FFFFFF)</action> <!-- Boss 4 -->
    </script>
    <script state="off">
      <action>maincpu.md@5180=temp0 </action>
      <action>maincpu.md@5391=temp1 </action>
      <action>maincpu.md@629A=temp2 </action>
      <action>maincpu.md@64AE=temp3 </action>
      <action>maincpu.mw@66AB=temp4 </action>
      <action>maincpu.md@5FED=temp5 </action>
    </script>
  </cheat>

  <cheat desc="Finish Current Stage Soon">
    <script state="run">
      <action>maincpu.pb@0016=FF</action>
    </script>
  </cheat>

  <cheat desc="Always Have Power Up">
    <script state="run">
      <action>maincpu.pb@0094=80</action>
    </script>
  </cheat>

  <cheat desc="Bullet Speed Up">
    <script state="on">
      <action>temp0 =maincpu.mb@4D7D</action>
    </script>
    <script state="run">
      <action>maincpu.mb@4D7D=81</action>
    </script>
    <script state="off">
      <action>maincpu.mb@4D7D=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire">
    <script state="run">
      <action>maincpu.pw@0082=0000</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
